Jump to content

Custom Connector for Spotfire® to Authenticate with the OSDU™ Platform v23


1 Screenshot

Summary

The OSDU is developing a standard data platform for the oil and gas industry, which will reduce silos and put data at the center of the subsurface community. Spotfire is pleased to provide a Custom Connector for Spotfire which

Spotfire is a proud supporter of Open Group's Open Subsurface Data Universe™ Forum. The OSDU is developing a standard data platform for the oil and gas industry, which will reduce silos and put data at the center of the subsurface community.

As part of this effort, Spotfire is pleased to provide a Custom Connector for Spotfire which handles Authentication against the OSDU™ Platform.

Release 23

Published: December 2022

This zip file contains versions 10.3.23.0, 11.5.23.0 and 12.0.23.0 of the 
Custom Connector for Spotfire® to Authenticate with the OSDU™ Platform.

v10.3.*.* is for Spotfire® 10.3 through 11.4
v11.5.*.* is for Spotfire® 11.5 through 11.8
v12.0.*.* is for Spotfire® 12.0

The build date is December 2nd 2022.

Fixed: Error thrown with Microsoft Provider: "Provider is Null in Credentials"

*******************************************************************************************

July 14th 2022.  Build Number: 10.3.0.22 and 11.5.0.22

New: The Connector can now be deployed on Web Player on Linux with Spotfire 12

Changed: Version numbering changed from x.y.0.z to x.y.z.0 to comply with corporate standards

*******************************************************************************************

May 6th 2022.  Build Number: 10.3.0.21 and 11.5.0.21

New: Added support for authenticating with IBM Keycloak

Fixed: Invalid Callback URL throws "corrupted" DXP error

New: Additional checks for Invalid Callback and Discovery URLs on Configuration dialog 

*******************************************************************************************

December 21st 2021.  Build Number: 10.3.0.19 and 11.5.0.20

Fixed: Error when installing the Connector on Spotfire 11.6

*******************************************************************************************

July 2nd 2021.  Build Number: 10.3.0.19 and 11.5.0.19

New: Configuration can now be created / modified when opening a DXP instead of just when
     creating a new connection

Fixed: Improved error handling when invalid JSON data is pasted into configuration dialog

Fixed: In Spotfire 10.10, when an already authenticated user opened a DXP in the Web Player,
       the connection dialog required the user to click the OK button

Fixed: Improved error handling when opening in Web Player with invalid configuration

*******************************************************************************************

May 12th 2021.  Build Number: 10.3.0.18

Fixed: When creating a configuration from scratch from the Connection Dialog, under certain
       conditions, an error occurred when attempting to save the configuration or copy
          it to the clipboard

New:   Added improved validation and error checking for detecting invalid configurations

*******************************************************************************************

February 13th 2021.  Build Number: 10.3.0.17

New:      Connector now behaves differently for Spotfire® Desktop, Spotfire® Analyst Administrator
          and Spotfire® Analyst non-Administrator

Updated:  Changed to use the name/phrase OSDU™ Platform      

*******************************************************************************************

February 5th 2021.  Build Number: 10.3.0.15

New:  OSDU Configuration can now be edited from the Connection dialog and revised settings can
      be used without restarting TIBCO Spotfire® Analyst
      
New:  The Connector now works with Spotfire® Desktop.
      NOTE: Spotfire® Desktop is a separate product from Spotfire® Analyst.

*******************************************************************************************

November 9th 2020.  Build Number: 10.3.0.12

Initial Version - See User Guide for full description, installation and instructions

This version is for Spotfire® 10.3 and newer.


×
×
  • Create New...